Get Log Entries - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/v2.1/projects/{projectId}/logs
Try it
Get Log Entries
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs")
.header("X-API-Key", "<api-key>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body
Response Codes
- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504
Example Response
{
"items": [\
{\
"_id": "<string>",\
"timestamp": "2023-11-07T05:31:56Z",\
"msg": "<string>",\
"meta": {},\
"traceId": "<string>"\
}\
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}
Errors
- Unauthorized Error
{ "type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} } - Payment Required Error
{ "type": "Payment Required", "title": "Payment Required Error", "status": 402, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 402, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }
Authorizations
- X-API-Key
Type: string
Location: header
Required: Yes
Headers
- Accept
Type: enum
Description: TheAcceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- projectId
Type: string
Required: Yes
Description: The unique identifier for the Project. Required string length:24Pattern:^[a-z0-9]{24}$
Query Parameters
filter
Type: string
Description: The type, msg or traceId of the log entry to filter the recordslimit
Type: integer
Description: The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.skip
Type: integer
Description: The number of items to skip before returning the results. Use this parameter withlimitfor offset-based pagination. The default value is 0.sort
Type: string
Description: The order in which results are returned. Set a sorting rule in the formatfield:direction, where direction can beascfor ascending order ordescfor descending order. For example,name:ascsorts by name in ascending order.next
Type: string
Required string length:24Description: The cursor that points to the next page of results. Use thenextCursorvalue returned in a previous response to request the next set of items.previous
Type: string
Required string length:24Description: The cursor that points to the previous page of results. Use thepreviousCursorvalue returned in a previous response to request the previous set of items.type
Type: enum[]
Description: Available options:fatal,error,warn,info,debug,traceuserId
Type: stringflowName
Type: stringstartDate
Type: string
Required: Yes
Description: The start date for filtering log entries (ISO 8601 format). If not provided, defaults to 1 hour before endDate. Example:"2025-08-11T10:00:00.000Z"endDate
Type: string
Required: Yes
Description: The end date for filtering log entries (ISO 8601 format). If not provided, defaults to the current time.